# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::IndexIterator Class Reference

Wraps a IndexIteratorAbstract to iterate over the indices of a DrawCall. More...

`#include <IndexIterator.hpp>`

Inheritance diagram for vl::IndexIterator:

List of all members.

## Public Member Functions

virtual const char * | className ()
| Returns the name of the class.
| IndexIterator ()
void | initialize (IndexIteratorAbstract *iterator)
int | index ()
bool | isEnd ()
bool | next ()

## Protected Attributes

ref< IndexIteratorAbstract > | mIterator

## Detailed Description

Wraps a IndexIteratorAbstract to iterate over the indices of a DrawCall.

Definition at line 63 of file IndexIterator.hpp.

## Constructor & Destructor Documentation

vl::IndexIterator::IndexIterator | ( | ) | `[inline]`

Definition at line 68 of file IndexIterator.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual const char* vl::IndexIterator::className | ( | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

Definition at line 66 of file IndexIterator.hpp.

void vl::IndexIterator::initialize | ( | IndexIteratorAbstract * | iterator ) | `[inline]`

Definition at line 72 of file IndexIterator.hpp.

References mIterator.

Referenced by vl::MultiDrawElements< GL_UNSIGNED_BYTE, ArrayUByte1 >::indexIterator(), vl::DrawRangeElements< GLuint, GL_UNSIGNED_INT, ArrayUInt1 >::indexIterator(), vl::DrawElements< GL_UNSIGNED_BYTE, ArrayUByte1 >::indexIterator(), and vl::DrawArrays::indexIterator().

int vl::IndexIterator::index | ( | ) | `[inline]`

Definition at line 73 of file IndexIterator.hpp.

References mIterator.

bool vl::IndexIterator::isEnd | ( | ) | `[inline]`

Definition at line 74 of file IndexIterator.hpp.

References mIterator.

Referenced by vl::Geometry::computeBounds_Implementation(), vl::DrawRangeElements< GLuint, GL_UNSIGNED_INT, ArrayUInt1 >::computeRange(), vl::DrawCall::countIndices(), and vl::DoubleVertexRemover::removeDoubles().

bool vl::IndexIterator::next | ( | ) | `[inline]`

Definition at line 75 of file IndexIterator.hpp.

References mIterator.

## Member Data Documentation

ref<IndexIteratorAbstract> vl::IndexIterator::mIterator`[protected]`

Definition at line 78 of file IndexIterator.hpp.

Referenced by index(), initialize(), isEnd(), and next().

The documentation for this class was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/IndexIterator.hpp

Visualization Library v2011.05.1142 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu May 26 2011 22:51:41.
Permission is granted to use this page to write and publish articles regarding Visualization Library.